## pikepdf 1.0.5+dfsg

=== Makefile ===
# This is really just for testing

.PHONY:
all: build

.PHONY: invalidate-cppcov
invalidate-cppcov:
	find . -name "*.gcno" -print0 | xargs -0 rm

.PHONY: build
build: invalidate-cppcov
	python setup.py build_ext --inplace

.PHONY: clean-coverage-pycov
clean-coverage-pycov:
	rm -rf coverage/pycov
	rm -f .coverage

.PHONY: clean-coverage-cppcov
clean-coverage-cppcov:
	rm -rf coverage/cppcov
	find . -name "*.gcda" -print0 | xargs -0 rm
	rm -f coverage/cpp.info

.PHONY: clean-coverage
clean-coverage: clean-coverage-cppcov clean-coverage-pycov

.PHONY: clean
clean: clean-coverage
	python setup.py clean --all

.PHONY: test
test: build
	pytest -n auto

.PHONY: pycov
pycov: clean-coverage-pycov
	pytest --cov-report html --cov=src -n auto

.PHONY: build-cppcov
build-cppcov:
	env CFLAGS="-coverage" python setup.py build_ext --inplace

coverage/cpp.info: clean-coverage-cppcov build-cppcov pycov
	lcov --no-external --capture --directory . --output-file coverage/cppall.info
	lcov --remove coverage/cppall.info '*/pybind11/*' -o coverage/cpp.info

coverage/cppcov: coverage/cpp.info
	-mkdir -p coverage/cppcov
	genhtml coverage/cpp.info --output-directory coverage/cppcov

.PHONY: cppcov
cppcov: clean-coverage-cppcov build-cppcov pycov coverage/cppcov

.PHONY: coverage
coverage: cppcov pycov

.PHONY: docs
docs:
	$(MAKE) -C docs html

=== debian/changelog ===
pikepdf (1.0.5+dfsg-3~deb10u1) buster; urgency=medium

  * Upload to buster-proposed-updates.  See #930597.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 16 Jun 2019 19:00:54 +0100

pikepdf (1.0.5+dfsg-3) unstable; urgency=medium

  * Cherry pick upstream commit 4d22fe4 as
    Fix-issue-25-year-missing-leading-zero-on-some-platforms.patch
    (Closes: #928042).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 28 Apr 2019 18:23:41 -0700

pikepdf (1.0.5+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix handling of XMP metadata with no <x:xmpmeta> wrapper.
    - Cherry-pick upstream fix as fix_xmp_metadata_without_xmpmeta_wrapper.patch

 -- Felix Geyer <fgeyer@debian.org>  Wed, 27 Feb 2019 23:33:07 +0100

pikepdf (1.0.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 26 Jan 2019 12:54:11 -0700

pikepdf (1.0.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Add Files-Excluded to d/copyright.
      See https://github.com/pikepdf/pikepdf/issues/21
    - Add disable-test_docinfo_problems.patch
  * Install examples/find_links.py

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 10 Jan 2019 08:44:33 -0700

pikepdf (0.10.1-2) unstable; urgency=medium

  * Upload to unstable.
    Upstream considers the API to be stable.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 01 Jan 2019 09:19:08 +0000

pikepdf (0.10.1-1) experimental; urgency=medium

  * New upstream release.
    - Add python3-defusedxml, python3-lxml build-deps
    - Add python3-attr autopkgtest dep

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 31 Dec 2018 23:25:17 +0000

pikepdf (0.3.7-1) experimental; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 11 Nov 2018 14:29:02 -0700

pikepdf (0.3.5-1) experimental; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 20 Oct 2018 13:06:33 -0700

pikepdf (0.3.4-1) experimental; urgency=medium

  * New upstream release.
  * Add build-dep on python3-setuptools-scm-git-archive.
  * Update d/copyright for new files.
  * Drop 0001-Restore-Exhibit-B-text-clarify-license-comments-in-r.patch
    Included in this upstream release.
  * Add drop-setuptools_scm_git_archive-from-setup.py.patch.
  * Refresh drop-installation-from-docs-contents.patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 10 Oct 2018 08:28:28 -0700

pikepdf (0.3.0-1) experimental; urgency=medium

  * Initial upload, to experimental (Closes: #903625).
    API not yet finalised.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 30 Aug 2018 16:21:39 -0700

=== debian/control ===
Source: pikepdf
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sean Whitton <spwhitton@spwhitton.name>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 libqpdf-dev,
 python3-all-dev,
 python3-defusedxml,
 python3-pybind11,
 python3-pytest-runner,
 python3-setuptools,
 python3-setuptools-scm,
 python3-setuptools-scm-git-archive,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-matplotlib,
 python3-ipython,
 python3-lxml,
Standards-Version: 4.1.5
Homepage: https://github.com/pikepdf/pikepdf
Vcs-Browser: https://salsa.debian.org/python-team/modules/pikepdf
Vcs-Git: https://salsa.debian.org/python-team/modules/pikepdf.git

Package: python3-pikepdf
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Description: Python library to read and write PDFs with QPDF
 pikepdf is a Python library to read and write PDFs with QPDF.
 Features include:
 .
   * Editing, manipulation and transformation of existing PDFs
   * Based on the mature, proven QPDF C++ library
   * Works with encrypted PDFs
   * Supports all PDF compression filters
   * Can create "fast web view" (linearized) PDFs
   * Creates standards compliant PDFs that pass validation in other tools
   * Automatically repairs damaged PDFs, just like QPDF
   * Implements more of the PDF specification than existing Python PDF tools
   * IPython notebook and Jupyter integration

Package: pikepdf-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Built-Using: ${sphinxdoc:Built-Using}
Description: Python library to read and write PDFs with QPDF - documentation
 pikepdf is a Python library to read and write PDFs with QPDF.
 .
 This package includes pikepdf's HTML documentation.
 .
 See the description for the pikepdf binary package for more
 information about pikepdf.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM

# deal with unicode encoding/decoding errors in the package build.
# This isn't needed in d/tests/test-suite because autopkgtest sets
# LANG=C.UTF-8
export LC_ALL=C.UTF-8

# needed as we have more than one binary package
export PYBUILD_DESTDIR=debian/python3-pikepdf

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	@set -ex; cd docs; make html
	dh_auto_build -O--buildsystem=pybuild

# don't install installation instructions
override_dh_install:
	dh_install -Xinstallation
override_dh_sphinxdoc:
	dh_sphinxdoc -Xinstallation

# for some reason this gets compressed, breaking links
override_dh_compress:
	dh_compress -Xchangelog.html

## pikepdf 1.6.4+dfsg

=== debian/changelog ===
pikepdf (1.6.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 10 Oct 2019 10:15:17 -0700

pikepdf (1.6.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 05 Sep 2019 07:30:45 -0700

pikepdf (1.6.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Tighten libqpdf build-dep to require 8.4.2.
  * Add mp_compile.py stanza to d/copyright.
  * Refresh patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 16 Aug 2019 09:03:02 +0100

pikepdf (1.5.0.post0+dfsh-1) unstable; urgency=medium

  [ Sean Whitton ]
  * New upstream release.
    - Drop python3-defusedxml build-dep
    - Drop python3-pytest-runner build-dep
      + Drop rw-build-tree d/tests/control restriction
    - Tighten python3-pybind11 dependency to require 2.3.0.
  * Add drop-pybind11-from-setup.py.patch, disable-test_icc_extract.patch.
  * Drop Fix-issue-25-year-missing-leading-zero-on-some-platforms.patch,
    drop-setuptools_scm_git_archive-from-setup.py.patch and
    fix_xmp_metadata_without_xmpmeta_wrapper.patch.
  * Refresh remaining patches.
  * d/copyright updates:
    - Update Files-Excluded
    - Update upstream copyright years.
    - Add info for docs/images/pike-{release,tree}.jpg,
      tests/resources/pike-flate-jp2.pdf

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 15 Aug 2019 18:47:38 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,11 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sean Whitton <spwhitton@spwhitton.name>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
- libqpdf-dev,
+ libqpdf-dev (>= 8.4.2),
  python3-all-dev,
- python3-defusedxml,
- python3-pybind11,
- python3-pytest-runner,
+ python3-pybind11 (>= 2.3.0),
  python3-setuptools,
  python3-setuptools-scm,
  python3-setuptools-scm-git-archive,

## pikepdf 1.10.0+dfsg

=== debian/changelog ===
pikepdf (1.10.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch.
  * Set http{s,}_proxy for override_dh_auto_build to prevent sphinx
    attempting to fetch intersphinx inventory files.
    Thanks, LibraryStyleGuide page on Debian Wiki.
  * Fix HTML docs build:
    - Add python3-pil build-dep
    - Run dh_auto_build first, then try to build docs.
      Previously we were doing the reverse.
    - Set PYTHONPATH.
  * Drop superfluous '-O--buildsystem=pybuild'.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 27 Jan 2020 20:42:14 -0700

pikepdf (1.8.1+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #946575).
  * Fix some paths 'test'->'tests' in d/copyright.
  * Update d/copyright for new test resource.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 11 Dec 2019 11:38:08 -0700

pikepdf (1.7.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 12 Nov 2019 09:40:42 -0700

pikepdf (1.6.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Tighten pybind11 build-dep to require 2.4.3.
  * Refresh patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 01 Nov 2019 20:16:42 -0700

=== debian/rules ===
--- 
+++ 
@@ -16,9 +16,16 @@
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
+override_dh_auto_build: export http_proxy=127.0.0.1:9
+override_dh_auto_build: export https_proxy=127.0.0.1:9
 override_dh_auto_build:
-	@set -ex; cd docs; make html
-	dh_auto_build -O--buildsystem=pybuild
+	dh_auto_build
+#	note that this too relies on LC_ALL=C.UTF-8 for the sort order
+	@set -ex; cd docs; \
+		PYTHONPATH=$$(find ../.pybuild \
+			-maxdepth 2 -mindepth 2 -name build | perl -Mautodie \
+			-we'print join ":", sort map { chomp; $$_ } <>') \
+			make html
 
 # don't install installation instructions
 override_dh_install:

## pikepdf 1.10.3+dfsg

=== debian/changelog ===
pikepdf (1.10.3+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #955045).
  * Add docs/images/28fish.jpg to d/copyright.
  * Refresh patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 27 Mar 2020 08:50:15 -0700

pikepdf (1.10.2+dfsg-2) unstable; urgency=medium

  * In d/rules, when setting PYTHONPATH to build the HTML docs, add only
    the subdirectory of .pybuild corresponding to the version of Python
    which will actually be used to build the docs.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 21 Mar 2020 21:44:24 -0700

pikepdf (1.10.2+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #950138).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 29 Feb 2020 08:56:25 -0700

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
  dh-python,
  libqpdf-dev (>= 8.4.2),
  python3-all-dev,
- python3-pybind11 (>= 2.3.0),
+ python3-pil,
+ python3-pybind11 (>= 2.4.3),
  python3-setuptools,
  python3-setuptools-scm,
  python3-setuptools-scm-git-archive,

=== debian/tests/control ===
Tests: test-suite
Depends: @,
 python3-pytest,
 python3-pytest-helpers-namespace,
 python3-pytest-timeout,
 python3-pytest-xdist,
 python3-hypothesis,
 python3-pil,
 python3-attr,

## pikepdf 1.13.0+dfsg

=== debian/changelog ===
pikepdf (1.13.0+dfsg-2~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sun, 16 Aug 2020 00:33:59 -0400

pikepdf (1.13.0+dfsg-2) unstable; urgency=medium

  * Add runtime dependency on python3-pkg-resources (Closes: #965103).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 18 Jul 2020 10:57:32 -0700

pikepdf (1.13.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add stanza for tests/resources/outlines.pdf to d/copyright.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 17 May 2020 17:11:59 -0700

pikepdf (1.12.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 17 May 2020 16:50:08 -0700

pikepdf (1.11.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update Files-Excluded:
    - Remove tests/resources/enron1_gs.pdf
    - Add docs/images/save-pike.jpg
      Although <https://commons.wikimedia.org/wiki/File:SaveDePike.jpg>
      says the photo is public domain, it is possible that the photographed
      sign itself is under copyright.  The file is not essential so playing
      it safe.
  * Drop disable-test_docinfo_problems.patch.
    Tests have been updated to use a different file, which we have.
  * Add drop-save-pike.patch.
  * Refresh remaining patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 15 Apr 2020 16:21:33 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pikepdf
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sean Whitton <spwhitton@spwhitton.name>
 Build-Depends:
  debhelper-compat (= 10),
@@ -25,7 +26,7 @@
 
 Package: python3-pikepdf
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, python3-pkg-resources
 Provides: ${python3:Provides}
 XB-Python-Version: ${python3:Versions}
 Description: Python library to read and write PDFs with QPDF

=== debian/rules ===
--- 
+++ 
@@ -16,15 +16,17 @@
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_auto_build: export http_proxy=127.0.0.1:9
 override_dh_auto_build: export https_proxy=127.0.0.1:9
 override_dh_auto_build:
 	dh_auto_build
-#	note that this too relies on LC_ALL=C.UTF-8 for the sort order
 	@set -ex; cd docs; \
-		PYTHONPATH=$$(find ../.pybuild \
-			-maxdepth 2 -mindepth 2 -name build | perl -Mautodie \
-			-we'print join ":", sort map { chomp; $$_ } <>') \
+		PYTHONPATH=$$(python3 --version | perl \
+			-wne'/^Python 3.([0-9]+)/ \
+				and print "../.pybuild/cpython3_3.$$1/build"') \
 			make html
 
 # don't install installation instructions

## pikepdf 1.17.3+dfsg

=== debian/changelog ===
pikepdf (1.17.3+dfsg-5) unstable; urgency=medium

  * Cherry pick upstream commit 3f38f73 to fix CVE-2021-29421 (Closes: #986274).

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 09 Apr 2021 10:41:33 -0700

pikepdf (1.17.3+dfsg-4) unstable; urgency=medium

  * Cherry-pick upstream commit 7ca375cb to fix another broken text
    (Closes: #981465).
    Thanks to Jay Berkenbilt for investigation.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 01 Feb 2021 10:19:39 -0700

pikepdf (1.17.3+dfsg-3) unstable; urgency=medium

  * Fix bug number closed by previous upload.
  * Cherry-pick upstream commits 7ac9b058 and fe4b568a for compatibility
    with qpdf 10.1.0 (Closes: #980426).

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 19 Jan 2021 14:10:44 -0700

pikepdf (1.17.3+dfsg-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sean Whitton ]
  * Fix compatibility with pybind11 (Closes: #975202).
    Thanks to Matthias Klose for the patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 24 Dec 2020 22:33:32 -0700

pikepdf (1.17.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright for several new files.
    Thanks to upstream for help with this.
    - Drop tests/resources/tree* from Files-Excluded:, and Comment: field
    - Add stanzas for new test resources, src/gsl.h and src/QIntC.hh
    - Update upstream's copyright years in Files: * stanza.
  * Fix "Licence"->"License" in an existing stanza.
  * Drop disable-test_icc_extract.patch
    - Test dropped upstream.
  * Refresh remaining patches.
  * Add python3-psutil autopkgtest dependency.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 26 Jul 2020 15:47:36 -0700

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: pikepdf
 Section: python
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Sean Whitton <spwhitton@spwhitton.name>
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 12),
  dh-python,
  libqpdf-dev (>= 8.4.2),
  python3-all-dev,
@@ -21,8 +20,8 @@
  python3-lxml,
 Standards-Version: 4.1.5
 Homepage: https://github.com/pikepdf/pikepdf
-Vcs-Browser: https://salsa.debian.org/python-team/modules/pikepdf
-Vcs-Git: https://salsa.debian.org/python-team/modules/pikepdf.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pikepdf
+Vcs-Git: https://salsa.debian.org/python-team/packages/pikepdf.git
 
 Package: python3-pikepdf
 Architecture: any

=== debian/tests/control ===
--- 
+++ 
@@ -7,3 +7,4 @@
  python3-hypothesis,
  python3-pil,
  python3-attr,
+ python3-psutil,

## pikepdf 5.0.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -5,11 +5,15 @@
 
 .PHONY: invalidate-cppcov
 invalidate-cppcov:
-	find . -name "*.gcno" -print0 | xargs -0 rm
+	find . -name "*.gcno" -delete
 
 .PHONY: build
 build: invalidate-cppcov
 	python setup.py build_ext --inplace
+
+.PHONY: pip-install-e
+pip-install-e: invalidate-cppcov
+	python -m pip install -e .
 
 .PHONY: clean-coverage-pycov
 clean-coverage-pycov:
@@ -19,7 +23,7 @@
 .PHONY: clean-coverage-cppcov
 clean-coverage-cppcov:
 	rm -rf coverage/cppcov
-	find . -name "*.gcda" -print0 | xargs -0 rm
+	find . -name "*.gcda" -delete
 	rm -f coverage/cpp.info
 
 .PHONY: clean-coverage
@@ -28,10 +32,63 @@
 .PHONY: clean
 clean: clean-coverage
 	python setup.py clean --all
+	rm -f src/pikepdf/_qpdf.*so
 
 .PHONY: test
 test: build
 	pytest -n auto
+
+version := $(subst v,,$(shell git describe --tags))
+macwheel39 := pikepdf-$(version)-cp39-cp39-macosx_11_0_arm64.whl
+macwheel310 := pikepdf-$(version)-cp310-cp310-macosx_11_0_arm64.whl
+#$(info $$version is [${version}])
+#$(info $$macwheel is [${macwheel}])
+
+wheelhouse/$(macwheel39): clean pip-install-e
+	rm -f wheelhouse/pikepdf*cp39*.whl
+	python -m pip wheel -w wheelhouse .
+	mv wheelhouse/pikepdf*cp39*.whl wheelhouse/$(macwheel39)
+
+	rm -rf unpacked/
+	python -m wheel unpack wheelhouse/$(macwheel39) --dest unpacked
+	rm -f wheelhouse/$(macwheel39) 
+	install_name_tool -change /usr/local/lib/libqpdf.28.dylib \
+		/Users/jb/src/qpdf/libqpdf/build/.libs/libqpdf.28.dylib \
+		unpacked/pikepdf-*/pikepdf/_qpdf.cpython*.so
+	python -m wheel pack unpacked/pikepdf-*/ --dest-dir wheelhouse
+	rm -rf unpacked/
+
+
+wheelhouse/$(macwheel310): clean
+	rm -f wheelhouse/pikepdf*cp310*.whl
+	rm -rf .venv310
+	/opt/homebrew/opt/python@3.10/bin/python3.10 -m venv .venv310
+	( \
+		source .venv310/bin/activate; \
+		python -m pip install --upgrade setuptools pip wheel; \
+		python -m pip install .; \
+		python -m pip wheel -w wheelhouse .; \
+	)
+	mv wheelhouse/pikepdf*cp310*.whl wheelhouse/$(macwheel310)
+
+	rm -rf unpacked/
+	python -m wheel unpack wheelhouse/$(macwheel310) --dest unpacked
+	rm -f wheelhouse/$(macwheel310) 
+	install_name_tool -change /usr/local/lib/libqpdf.28.dylib \
+		/Users/jb/src/qpdf/libqpdf/build/.libs/libqpdf.28.dylib \
+		unpacked/pikepdf-*/pikepdf/_qpdf.cpython*.so
+	python -m wheel pack unpacked/pikepdf-*/ --dest-dir wheelhouse
+	rm -rf unpacked/
+
+wheelhouse/delocated/$(macwheel39): wheelhouse/$(macwheel39)
+	delocate-wheel -w wheelhouse/delocated -v wheelhouse/$(macwheel39)
+
+wheelhouse/delocated/$(macwheel310): wheelhouse/$(macwheel310)
+	delocate-wheel -w wheelhouse/delocated -v wheelhouse/$(macwheel310)
+
+.PHONY: apple-silicon-wheels
+apple-silicon-wheels: wheelhouse/delocated/$(macwheel310) wheelhouse/delocated/$(macwheel39)
+	twine upload wheelhouse/delocated/$(macwheel39) wheelhouse/delocated/$(macwheel310)
 
 .PHONY: pycov
 pycov: clean-coverage-pycov
@@ -39,7 +96,7 @@
 
 .PHONY: build-cppcov
 build-cppcov:
-	env CFLAGS="-coverage" python setup.py build_ext --inplace
+	env CFLAGS="--coverage" python setup.py build_ext --inplace
 
 coverage/cpp.info: clean-coverage-cppcov build-cppcov pycov
 	lcov --no-external --capture --directory . --output-file coverage/cppall.info
@@ -56,5 +113,11 @@
 coverage: cppcov pycov
 
 .PHONY: docs
-docs:
+docs: build
+	$(MAKE) -C docs clean
 	$(MAKE) -C docs html
+	rm -f docs/doc.log.txt
+
+cibuildwheel-test: clean-coverage
+	rm -rf build/bdist.* build/lib.* build/temp.*
+	cibuildwheel --platform linux

=== docs/requirements.txt ===
# This is provided for the benefit of readthedocs.org, which cannot easily
# use setup.cfg.
# Other distributions should build the documentation using
# pip install pikepdf[docs], i.e. via setup.cfg.


lxml >= 4.0
Pillow >= 6.0  # only needed for images; technically removable

ipython
matplotlib
pybind11
setuptools_scm
Sphinx >= 3
sphinx-issues
sphinx-panels
sphinx-rtd-theme
tomli

GitPython
PyGithub
requests

=== debian/changelog ===
pikepdf (5.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 01 Mar 2022 13:13:09 -0700

pikepdf (5.0.0+dfsg-2) unstable; urgency=medium

  * Update b-d python3-toml -> python3-tomli.
  * Add autopkgtest dep on python3-tomli (Closes: #1006123).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 20 Feb 2022 13:16:51 -0700

pikepdf (5.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #1005766).
  * Refresh patches.
  * Add build-deps qpdf 10.6.2, python3-sphinx-panels, python3-packaging.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 18 Feb 2022 13:13:43 -0700

pikepdf (4.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #996881, #1002424).
  * Update path in d/copyright src/gsl.h -> src/qpdf/gsl.h.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 23 Dec 2021 15:37:35 -0700

pikepdf (3.2.0+dfsg-2) unstable; urgency=medium

  * Drop python3-pytest-helpers-namespace from autopkgtest dependencies.
    No longer required by upstream's test suite.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 18 Oct 2021 14:35:54 -0700

pikepdf (3.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #996792).
  * Add build-deps on python3-toml, python3-sphinx-issues.
  * Update d/copyright for new release.
    - Drop stanzas for mp_compile.py, QIntC.hh and docs/images/pike-tree.jpg.
    - Update path docs/images/pike.{jpg->png}.
    - Add stanza for tests/resources/Gray.icc.
  * Drop drop-pybind11-from-setup.py.patch.
    No longer required.
  * Drop Fix-compatibility-with-pybind11.patch.
    Obsoleted by upstream changes.
  * Drop patches corresponding to cherry-picks from upstream.
  * Refresh remaining patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 18 Oct 2021 14:00:32 -0700

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
- libqpdf-dev (>= 8.4.2),
+ libqpdf-dev (>= 10.6.2),
  python3-all-dev,
  python3-pil,
  python3-pybind11 (>= 2.4.3),
@@ -14,10 +14,14 @@
  python3-setuptools-scm,
  python3-setuptools-scm-git-archive,
  python3-sphinx,
+ python3-sphinx-issues,
  python3-sphinx-rtd-theme,
+ python3-sphinx-panels,
  python3-matplotlib,
+ python3-packaging,
  python3-ipython,
  python3-lxml,
+ python3-tomli,
 Standards-Version: 4.1.5
 Homepage: https://github.com/pikepdf/pikepdf
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pikepdf

=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,6 @@
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
 
 override_dh_auto_build: export http_proxy=127.0.0.1:9
 override_dh_auto_build: export https_proxy=127.0.0.1:9

## pikepdf 5.1.1+dfsg

=== debian/changelog ===
pikepdf (5.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Cherry-pick upstream commit 4f6923f (Closes: #1009737).

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 15 Apr 2022 14:49:08 -0700

## pikepdf 6.0.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+# SPDX-FileCopyrightText: 2022 James R. Barlow
+# SPDX-License-Identifier: MPL-2.0
 # This is really just for testing
 
 .PHONY:
@@ -38,25 +40,48 @@
 test: build
 	pytest -n auto
 
+# Reminder to not indent if clauses, because Makefile...
+ifdef SETUPTOOLS_SCM_PRETEND_VERSION
+$(info Using version from SETUPTOOLS_SCM_PRETEND_VERSION ${SETUPTOOLS_SCM_PRETEND_VERSION})
+version := ${SETUPTOOLS_SCM_PRETEND_VERSION}
+else
+$(info Using version from git describe)
 version := $(subst v,,$(shell git describe --tags))
-macwheel39 := pikepdf-$(version)-cp39-cp39-macosx_11_0_arm64.whl
-macwheel310 := pikepdf-$(version)-cp310-cp310-macosx_11_0_arm64.whl
-#$(info $$version is [${version}])
-#$(info $$macwheel is [${macwheel}])
+endif
 
-wheelhouse/$(macwheel39): clean pip-install-e
+ifndef MACOSX_DEPLOYMENT_TARGET
+$(info Setting MACOSX_DEPLOYMENT_TARGET to default of 11.0)
+MACOSX_DEPLOYMENT_TARGET=11.0
+endif
+underscored_target := $(subst .,_,${MACOSX_DEPLOYMENT_TARGET})
+$(info $$underscored_target is ${underscored_target})
+
+$(info Version of wheels will be: ${version})
+macwheel39 := pikepdf-$(version)-cp39-cp39-macosx_${underscored_target}_arm64.whl
+macwheel310 := pikepdf-$(version)-cp310-cp310-macosx_${underscored_target}_arm64.whl
+$(info $$macwheel39 is ${macwheel39})
+$(info $$macwheel310 is ${macwheel310})
+
+wheelhouse/$(macwheel39): clean
 	rm -f wheelhouse/pikepdf*cp39*.whl
-	python -m pip wheel -w wheelhouse .
+	rm -rf .venv39
+	/opt/homebrew/bin/python3.9 -m venv .venv39
+	( \
+		source .venv39/bin/activate; \
+		python -m pip install --upgrade setuptools pip wheel; \
+		python -m pip install .; \
+		python -m pip wheel -w wheelhouse .; \
+	)
 	mv wheelhouse/pikepdf*cp39*.whl wheelhouse/$(macwheel39)
 
-	rm -rf unpacked/
-	python -m wheel unpack wheelhouse/$(macwheel39) --dest unpacked
-	rm -f wheelhouse/$(macwheel39) 
-	install_name_tool -change /usr/local/lib/libqpdf.28.dylib \
-		/Users/jb/src/qpdf/libqpdf/build/.libs/libqpdf.28.dylib \
-		unpacked/pikepdf-*/pikepdf/_qpdf.cpython*.so
-	python -m wheel pack unpacked/pikepdf-*/ --dest-dir wheelhouse
-	rm -rf unpacked/
+	# rm -rf unpacked/
+	# python -m wheel unpack wheelhouse/$(macwheel39) --dest unpacked
+	# rm -f wheelhouse/$(macwheel39)
+	# install_name_tool -change /usr/local/lib/libqpdf.28.dylib \
+	# 	/Users/jb/src/qpdf/libqpdf/build/.libs/libqpdf.28.dylib \
+	# 	unpacked/pikepdf-*/pikepdf/_qpdf.cpython*.so
+	# python -m wheel pack unpacked/pikepdf-*/ --dest-dir wheelhouse
+	# rm -rf unpacked/
 
 
 wheelhouse/$(macwheel310): clean
@@ -71,14 +96,14 @@
 	)
 	mv wheelhouse/pikepdf*cp310*.whl wheelhouse/$(macwheel310)
 
-	rm -rf unpacked/
-	python -m wheel unpack wheelhouse/$(macwheel310) --dest unpacked
-	rm -f wheelhouse/$(macwheel310) 
-	install_name_tool -change /usr/local/lib/libqpdf.28.dylib \
-		/Users/jb/src/qpdf/libqpdf/build/.libs/libqpdf.28.dylib \
-		unpacked/pikepdf-*/pikepdf/_qpdf.cpython*.so
-	python -m wheel pack unpacked/pikepdf-*/ --dest-dir wheelhouse
-	rm -rf unpacked/
+	# rm -rf unpacked/
+	# python -m wheel unpack wheelhouse/$(macwheel310) --dest unpacked
+	# rm -f wheelhouse/$(macwheel310)
+	# install_name_tool -change /usr/local/lib/libqpdf.28.dylib \
+	# 	/Users/jb/src/qpdf/libqpdf/build/.libs/libqpdf.28.dylib \
+	# 	unpacked/pikepdf-*/pikepdf/_qpdf.cpython*.so
+	# python -m wheel pack unpacked/pikepdf-*/ --dest-dir wheelhouse
+	# rm -rf unpacked/
 
 wheelhouse/delocated/$(macwheel39): wheelhouse/$(macwheel39)
 	delocate-wheel -w wheelhouse/delocated -v wheelhouse/$(macwheel39)
@@ -86,8 +111,16 @@
 wheelhouse/delocated/$(macwheel310): wheelhouse/$(macwheel310)
 	delocate-wheel -w wheelhouse/delocated -v wheelhouse/$(macwheel310)
 
+.PHONY: macwheel39
+macwheel39: wheelhouse/delocated/$(macwheel39)
+	-
+
+.PHONY: macwheel310
+macwheel310: wheelhouse/delocated/$(macwheel310)
+	-
+
 .PHONY: apple-silicon-wheels
-apple-silicon-wheels: wheelhouse/delocated/$(macwheel310) wheelhouse/delocated/$(macwheel39)
+apple-silicon-wheels: wheelhouse/delocated/$(macwheel39) wheelhouse/delocated/$(macwheel310)
 	twine upload wheelhouse/delocated/$(macwheel39) wheelhouse/delocated/$(macwheel310)
 
 .PHONY: pycov

=== docs/requirements.txt ===
--- 
+++ 
@@ -13,9 +13,9 @@
 setuptools_scm
 Sphinx >= 3
 sphinx-issues
-sphinx-panels
+sphinx-design
 sphinx-rtd-theme
-tomli
+tomli; python_version < '3.11'
 
 GitPython
 PyGithub

=== debian/changelog ===
pikepdf (6.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #1019694).
  * Drop python3-setuptools-scm-git-archive, python3-sphinx-panels build-deps.
  * Add Optional-patch-remove-sphinx-design.patch.
  * Extend docs-build-use-DEB_VERSION_UPSTREAM.patch to src/pikepdf/_version.py.
  * Refresh remaining patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 28 Sep 2022 14:18:59 -0700

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,9 @@
  python3-pybind11 (>= 2.4.3),
  python3-setuptools,
  python3-setuptools-scm,
- python3-setuptools-scm-git-archive,
  python3-sphinx,
  python3-sphinx-issues,
  python3-sphinx-rtd-theme,
- python3-sphinx-panels,
  python3-matplotlib,
  python3-packaging,
  python3-ipython,

=== debian/tests/control ===
Tests: test-suite
Depends: @,
 python3-pytest,
 python3-pytest-timeout,
 python3-pytest-xdist,
 python3-hypothesis,
 python3-pil,
 python3-attr,
 python3-psutil,
 python3-tomli,

## pikepdf 8.2.1+dfsg

=== debian/changelog ===
pikepdf (8.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 25 Jul 2023 01:03:51 -0700

pikepdf (8.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Fri, 21 Jul 2023 22:46:27 -0700

pikepdf (8.1.1+dfsg-1) unstable; urgency=medium

  * Adopt package and add myself as Uploader. (Closes: #1017873)
  * New upstream release. (Closes: #1030340)
    - Drop docs-build-use-DEB_VERSION_UPSTREAM.patch.
    - Refresh remaining patches.
  * Add build-depends on pybuild-plugin-pyproject.
  * Update dh compat level to 13.
  * Update Standards version to 4.6.2.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 16 Jul 2023 22:04:06 -0700

## pikepdf 8.3.2+dfsg

=== debian/changelog ===
pikepdf (8.3.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 12 Aug 2023 14:02:47 -0700

pikepdf (8.3.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 09 Aug 2023 11:21:00 -0700

pikepdf (8.2.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 02 Aug 2023 23:24:57 -0700

pikepdf (8.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 29 Jul 2023 18:08:50 -0700

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Sean Whitton <spwhitton@spwhitton.name>
+Uploaders: Vincent Cheng <vcheng@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  libqpdf-dev (>= 10.6.2),
+ pybuild-plugin-pyproject,
  python3-all-dev,
  python3-pil,
  python3-pybind11 (>= 2.4.3),
@@ -20,16 +21,16 @@
  python3-ipython,
  python3-lxml,
  python3-tomli,
-Standards-Version: 4.1.5
+Standards-Version: 4.6.2
 Homepage: https://github.com/pikepdf/pikepdf
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pikepdf
 Vcs-Git: https://salsa.debian.org/python-team/packages/pikepdf.git
+Rules-Requires-Root: no
 
 Package: python3-pikepdf
 Architecture: any
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, python3-pkg-resources
 Provides: ${python3:Provides}
-XB-Python-Version: ${python3:Versions}
 Description: Python library to read and write PDFs with QPDF
  pikepdf is a Python library to read and write PDFs with QPDF.
  Features include:
@@ -51,6 +52,7 @@
  ${misc:Depends},
  ${sphinxdoc:Depends},
 Built-Using: ${sphinxdoc:Built-Using}
+Multi-Arch: foreign
 Description: Python library to read and write PDFs with QPDF - documentation
  pikepdf is a Python library to read and write PDFs with QPDF.
  .

## pikepdf 8.7.1+dfsg

=== Makefile ===
# SPDX-FileCopyrightText: 2022 James R. Barlow
# SPDX-License-Identifier: MPL-2.0
# This is really just for testing

.PHONY:
all: build

.PHONY: invalidate-cppcov
invalidate-cppcov:
	find . -name "*.gcno" -delete

.PHONY: build
build: invalidate-cppcov
	python setup.py build_ext --inplace

.PHONY: pip-install-e
pip-install-e: invalidate-cppcov
	python -m pip install -e .

.PHONY: clean-coverage-pycov
clean-coverage-pycov:
	rm -rf coverage/pycov
	rm -f .coverage

.PHONY: clean-coverage-cppcov
clean-coverage-cppcov:
	rm -rf coverage/cppcov
	find . -name "*.gcda" -delete
	rm -f coverage/cpp.info

.PHONY: clean-coverage
clean-coverage: clean-coverage-cppcov clean-coverage-pycov

.PHONY: clean
clean: clean-coverage
	python setup.py clean --all
	rm -f src/pikepdf/_core.*so

.PHONY: test
test: build
	pytest -n auto

.PHONY: pycov
pycov: clean-coverage-pycov
	pytest --cov-report html --cov=src -n auto

.PHONY: build-cppcov
build-cppcov:
	env CFLAGS="--coverage" python setup.py build_ext --inplace

coverage/cpp.info: clean-coverage-cppcov build-cppcov pycov
	lcov --no-external --capture --directory . --output-file coverage/cppall.info
	lcov --remove coverage/cppall.info '*/pybind11/*' -o coverage/cpp.info

coverage/cppcov: coverage/cpp.info
	-mkdir -p coverage/cppcov
	genhtml coverage/cpp.info --output-directory coverage/cppcov

.PHONY: cppcov
cppcov: clean-coverage-cppcov build-cppcov pycov coverage/cppcov

.PHONY: coverage
coverage: cppcov pycov

.PHONY: docs
docs: build
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	rm -f docs/doc.log.txt

cibuildwheel-test: clean-coverage
	rm -rf build/bdist.* build/lib.* build/temp.*
	pipx run cibuildwheel --platform linux

=== docs/requirements.txt ===
--- 
+++ 
@@ -7,10 +7,10 @@
 lxml >= 4.0
 Pillow >= 6.0  # only needed for images; technically removable
 
+docutils == 0.17.1  # https://stackoverflow.com/questions/67542699/readthedocs-sphinx-not-rendering-bullet-list-from-rst-file
 ipython
 matplotlib
 pybind11
-setuptools_scm
 Sphinx >= 3
 sphinx-issues
 sphinx-design

=== debian/changelog ===
pikepdf (8.7.1+dfsg-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 16:59:19 +0000

pikepdf (8.7.1+dfsg-2build1) noble; urgency=medium

  * No-change rebuild against libqpdf29t64.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 22 Mar 2024 10:33:39 +1300

pikepdf (8.7.1+dfsg-2) unstable; urgency=medium

  * Update autopkgtest dependencies to fix test failure.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 20 Nov 2023 02:55:34 -0800

pikepdf (8.7.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Add build-dep on python3-deprecated.
    - Refresh patches.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 19 Nov 2023 08:20:55 -0800

pikepdf (8.5.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 11 Oct 2023 10:07:26 -0700

pikepdf (8.5.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 07 Oct 2023 00:33:32 -0700

pikepdf (8.4.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 10 Sep 2023 08:28:02 -0700

pikepdf (8.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 22 Aug 2023 03:26:44 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pikepdf
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Vincent Cheng <vcheng@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -9,6 +10,11 @@
  libqpdf-dev (>= 10.6.2),
  pybuild-plugin-pyproject,
  python3-all-dev,
+ python3-deprecated,
+ python3-ipython,
+ python3-lxml,
+ python3-matplotlib,
+ python3-packaging,
  python3-pil,
  python3-pybind11 (>= 2.4.3),
  python3-setuptools,
@@ -16,11 +22,7 @@
  python3-sphinx,
  python3-sphinx-issues,
  python3-sphinx-rtd-theme,
- python3-matplotlib,
- python3-packaging,
- python3-ipython,
- python3-lxml,
- python3-tomli,
+ python3-tomli
 Standards-Version: 4.6.2
 Homepage: https://github.com/pikepdf/pikepdf
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pikepdf
@@ -29,7 +31,11 @@
 
 Package: python3-pikepdf
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, python3-pkg-resources
+Depends:
+ python3-pkg-resources,
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends}
 Provides: ${python3:Provides}
 Description: Python library to read and write PDFs with QPDF
  pikepdf is a Python library to read and write PDFs with QPDF.
@@ -48,9 +54,7 @@
 Package: pikepdf-doc
 Section: doc
 Architecture: all
-Depends:
- ${misc:Depends},
- ${sphinxdoc:Depends},
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Built-Using: ${sphinxdoc:Built-Using}
 Multi-Arch: foreign
 Description: Python library to read and write PDFs with QPDF - documentation

## pikepdf 8.15.1+dfsg

=== debian/changelog ===
pikepdf (8.15.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.
  * Update Standards version to 4.7.0.

 -- Vincent Cheng <vcheng@debian.org>  Fri, 26 Apr 2024 07:43:24 -0700

pikepdf (8.14.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 8.14.0+dfsg.
    - Refresh patches.
    - Add python3-sphinx-autoapi to build-dep.

 -- Anton Gladky <gladk@debian.org>  Sun, 31 Mar 2024 10:15:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pikepdf
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Vincent Cheng <vcheng@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -20,10 +19,11 @@
  python3-setuptools,
  python3-setuptools-scm,
  python3-sphinx,
+ python3-sphinx-autoapi,
  python3-sphinx-issues,
  python3-sphinx-rtd-theme,
  python3-tomli
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/pikepdf/pikepdf
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pikepdf
 Vcs-Git: https://salsa.debian.org/python-team/packages/pikepdf.git

## pikepdf 9.1.1+dfsg

=== debian/changelog ===
pikepdf (9.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Fri, 16 Aug 2024 19:41:20 -0700

## pikepdf 9.4.2+dfsg

=== debian/changelog ===
pikepdf (9.4.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.
  * Drop unused dependency on python3-pkg-resources. (Closes: #1083543)

 -- Vincent Cheng <vcheng@debian.org>  Wed, 20 Nov 2024 04:15:35 -0800

## pikepdf 9.5.1+dfsg

=== debian/changelog ===
pikepdf (9.5.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Fri, 03 Jan 2025 20:32:13 -0800

## pikepdf 9.5.2+dfsg

=== debian/changelog ===
pikepdf (9.5.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Fri, 07 Feb 2025 12:59:18 -0800

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
  python3-matplotlib,
  python3-packaging,
  python3-pil,
- python3-pybind11 (>= 2.4.3),
- python3-setuptools,
+ python3-pybind11 (>= 2.12.0),
+ python3-setuptools (>= 61),
  python3-setuptools-scm,
  python3-sphinx,
  python3-sphinx-autoapi,
@@ -32,7 +32,6 @@
 Package: python3-pikepdf
 Architecture: any
 Depends:
- python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,11 @@
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+
+override_dh_auto_clean:
+	rm -rf docs/_build
+	rm -rf src/pikepdf.egg-info
+	dh_auto_clean
 
 override_dh_auto_build: export http_proxy=127.0.0.1:9
 override_dh_auto_build: export https_proxy=127.0.0.1:9

## pikepdf 9.9.0+dfsg

=== docs/requirements.txt ===
# This is provided for the benefit of readthedocs.org, which cannot
# yet read pyproject.toml to obtain what
# pip install pikepdf[docs] would install.

Sphinx >= 3
sphinx-autoapi >= 3
sphinx-issues
sphinx-design
sphinx-rtd-theme
tomli; python_version < '3.11'

=== debian/changelog ===
pikepdf (9.9.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Drop d/p/drop-installation-from-docs-contents.patch.
    - Refresh remaining patches.
  * Add build-dep on python3-myst-parser.
  * Update build-dep version constraints on setuptools and pybind11.
  * Add Testsuite: autopkgtest-pkg-pybuild to d/control.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 13 Aug 2025 23:52:39 -0700

pikepdf (9.5.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Drop build-dep on python3-tomli

 -- Alexandre Detiste <tchet@debian.org>  Mon, 28 Jul 2025 14:42:34 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Vincent Cheng <vcheng@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  libqpdf-dev (>= 10.6.2),
  pybuild-plugin-pyproject,
  python3-all-dev,
@@ -13,21 +13,22 @@
  python3-ipython,
  python3-lxml,
  python3-matplotlib,
+ python3-myst-parser,
  python3-packaging,
  python3-pil,
- python3-pybind11 (>= 2.12.0),
- python3-setuptools (>= 61),
+ python3-pybind11 (>= 2.13.6),
+ python3-setuptools (>= 77.0.3),
  python3-setuptools-scm,
  python3-sphinx,
  python3-sphinx-autoapi,
  python3-sphinx-issues,
  python3-sphinx-rtd-theme,
- python3-tomli
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/pikepdf/pikepdf
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pikepdf
 Vcs-Git: https://salsa.debian.org/python-team/packages/pikepdf.git
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pikepdf
 Architecture: any

## pikepdf 9.11.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-myst-parser,
  python3-packaging,
  python3-pil,
- python3-pybind11 (>= 2.13.6),
+ python3-pybind11 (>= 3.0.0),
  python3-setuptools (>= 77.0.3),
  python3-setuptools-scm,
  python3-sphinx,

## pikepdf 9.11.0+dfsg

=== debian/changelog ===
pikepdf (9.11.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Tighten build-dep on python3-pybind11 (>= 3.0.0).
    - Refresh patches.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 08 Oct 2025 18:18:37 -0700

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+dfsg\d*$//" \
https://github.com/pikepdf/pikepdf refs/tags/v([\d\.\d\.]+) debian

## pikepdf 10.0.0+dfsg

=== docs/requirements.txt ===
# Autogenerated by bin/bump_version.py
# This is provided for the benefit of readthedocs.org, which cannot
# yet read pyproject.toml to obtain what
# pip install pikepdf[docs] would install.
myst-parser>=3.0.1
sphinx>=3
sphinx-autoapi
sphinx-design
sphinx-issues
sphinx-rtd-theme
tomli; python_version < '3.11'

=== debian/changelog ===
pikepdf (10.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Tighten build-dep on libqpdf-dev (>= 12.2.0).
    - Refresh patches.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 26 Oct 2025 16:36:27 -0700

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
- libqpdf-dev (>= 10.6.2),
+ libqpdf-dev (>= 12.2.0),
  pybuild-plugin-pyproject,
  python3-all-dev,
  python3-deprecated,
@@ -22,7 +22,7 @@
  python3-sphinx,
  python3-sphinx-autoapi,
  python3-sphinx-issues,
- python3-sphinx-rtd-theme,
+ python3-sphinx-rtd-theme
 Standards-Version: 4.7.2
 Homepage: https://github.com/pikepdf/pikepdf
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pikepdf
@@ -32,10 +32,7 @@
 
 Package: python3-pikepdf
 Architecture: any
-Depends:
- ${misc:Depends},
- ${python3:Depends},
- ${shlibs:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
 Provides: ${python3:Provides}
 Description: Python library to read and write PDFs with QPDF
  pikepdf is a Python library to read and write PDFs with QPDF.

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
 	rm -rf docs/_build

=== debian/tests/control ===
Tests: test-suite
Depends:
 python3-attr,
 python3-hypothesis,
 python3-numpy,
 python3-pil,
 python3-psutil,
 python3-pytest,
 python3-pytest-timeout,
 python3-pytest-xdist,
 python3-tomli,
 @
